> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.propexo.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.propexo.com/_mcp/server.

# Create Applicant Appointment: RealPage Partner Exchange

POST https://api.propexo.com/v1/events/appointments/applicants/realpage_rpx/
Content-Type: application/json

Create an appointment for an applicant in RealPage Partner Exchange. RealPage interprets the appointment date and time as being local to the timezone of the property the appointment is associated with. Times will not be converted without you intervening. Times will not be automatically adjusted for daylight savings. RealPage has a configuration setting to save the default timezone for a property, but many properties leave this setting unconfigured in our experience. Unfortunately, RealPage does not currently offer an API to query the property's timezone settings.| Method         | Interface           |
| -------------- | ------------------- |
| InsertFollowUp | Prospect Management |This write operation will set the created_record_id flag on the write-status endpoint and allow for new record to be read back in immediately.

Reference: https://docs.propexo.com/api-reference/real-page-app-partner/appointments/create-applicant-appointment-real-page-partner-exchange

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Servers

- `https://api.propexo.com` (Production, default)
- `https://api.sandbox.propexo.com` (Sandbox)

## Request

### Body (application/json)

This endpoint expects a _v1_events_appointments_applicants_realpage_rpx__post_input.

- `integration_id` (string, required) — The Propexo unique identifier for the integration
- `applicant_id` (string, required) — The Propexo unique identifier for the applicant
- `employee_id` (string, required) — The Propexo unique identifier for the employee
- `appointment_date` (V1EventsAppointmentsApplicantsRealpageRpxPostInputAppointmentDate, required) — The date when the appointment will occur
- `appointment_time` (string, required) — The time when the appointment will occur. Please refer to our appointment times section in the docs to see how each individual PMS handles timezones
- `appointment_duration_minutes` (integer, required) — The duration of the appointment, in minutes
- `notes` (string, optional) — Notes associated with the event
- `priority` (enum, optional) — The priority of the appointment
  - Allowed values: `HIGH`, `MEDIUM`, `LOW`

## Response

### 200

Successful response

- `meta` (V1EventsAppointmentsApplicantsRealpageRpxPostOutputMeta, required)
- `result` (V1EventsAppointmentsApplicantsRealpageRpxPostOutputResult, required)

## Errors

### 400 Bad Request Error

Bad Request

- `error` (ErrorResponseError, required)

## Types

### V1EventsAppointmentsApplicantsRealpageRpxPostInputAppointmentDate

The date when the appointment will occur

### V1EventsAppointmentsApplicantsRealpageRpxPostOutputMeta

- `job_id` (string, required)

### V1EventsAppointmentsApplicantsRealpageRpxPostOutputResult

- `integration_id` (string, required) — The Propexo unique identifier for the integration
- `applicant_id` (string, required) — The Propexo unique identifier for the applicant
- `employee_id` (string, required) — The Propexo unique identifier for the employee
- `appointment_date` (V1EventsAppointmentsApplicantsRealpageRpxPostOutputResultAppointmentDate, required, nullable)
- `appointment_time` (string, required) — The time when the appointment will occur. Please refer to our appointment times section in the docs to see how each individual PMS handles timezones
- `appointment_duration_minutes` (integer, required) — The duration of the appointment, in minutes
- `notes` (string, required, nullable) — Notes associated with the event
- `priority` (enum, required) — The priority of the appointment
  - Allowed values: `HIGH`, `MEDIUM`, `LOW`

### ErrorResponseError

- `code` (string, required)
- `message` (string, required)
- `details` (map from string to any, optional)

### V1EventsAppointmentsApplicantsRealpageRpxPostOutputResultAppointmentDate

## Examples

**Request**

```json
{
  "integration_id": "int-987654321",
  "applicant_id": "app-123456789",
  "employee_id": "emp-456789123",
  "appointment_date": "2024-07-20",
  "appointment_time": "14:30:00",
  "appointment_duration_minutes": 45
}
```

**Response**

```json
{
  "meta": {
    "job_id": "job-20240720-001"
  },
  "result": {
    "integration_id": "int-987654321",
    "applicant_id": "app-123456789",
    "employee_id": "emp-456789123",
    "appointment_date": "2024-07-20",
    "appointment_time": "14:30:00",
    "appointment_duration_minutes": 45,
    "notes": "Initial leasing consultation scheduled.",
    "priority": "MEDIUM"
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.propexo.com/v1/events/appointments/applicants/realpage_rpx/"

payload = {
    "integration_id": "int-987654321",
    "applicant_id": "app-123456789",
    "employee_id": "emp-456789123",
    "appointment_date": "2024-07-20",
    "appointment_time": "14:30:00",
    "appointment_duration_minutes": 45
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.propexo.com/v1/events/appointments/applicants/realpage_rpx/';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"integration_id":"int-987654321","applicant_id":"app-123456789","employee_id":"emp-456789123","appointment_date":"2024-07-20","appointment_time":"14:30:00","appointment_duration_minutes":45}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.propexo.com/v1/events/appointments/applicants/realpage_rpx/"

	payload := strings.NewReader("{\n  \"integration_id\": \"int-987654321\",\n  \"applicant_id\": \"app-123456789\",\n  \"employee_id\": \"emp-456789123\",\n  \"appointment_date\": \"2024-07-20\",\n  \"appointment_time\": \"14:30:00\",\n  \"appointment_duration_minutes\": 45\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.propexo.com/v1/events/appointments/applicants/realpage_rpx/")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"integration_id\": \"int-987654321\",\n  \"applicant_id\": \"app-123456789\",\n  \"employee_id\": \"emp-456789123\",\n  \"appointment_date\": \"2024-07-20\",\n  \"appointment_time\": \"14:30:00\",\n  \"appointment_duration_minutes\": 45\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.propexo.com/v1/events/appointments/applicants/realpage_rpx/")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"integration_id\": \"int-987654321\",\n  \"applicant_id\": \"app-123456789\",\n  \"employee_id\": \"emp-456789123\",\n  \"appointment_date\": \"2024-07-20\",\n  \"appointment_time\": \"14:30:00\",\n  \"appointment_duration_minutes\": 45\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.propexo.com/v1/events/appointments/applicants/realpage_rpx/', [
  'body' => '{
  "integration_id": "int-987654321",
  "applicant_id": "app-123456789",
  "employee_id": "emp-456789123",
  "appointment_date": "2024-07-20",
  "appointment_time": "14:30:00",
  "appointment_duration_minutes": 45
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.propexo.com/v1/events/appointments/applicants/realpage_rpx/");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"integration_id\": \"int-987654321\",\n  \"applicant_id\": \"app-123456789\",\n  \"employee_id\": \"emp-456789123\",\n  \"appointment_date\": \"2024-07-20\",\n  \"appointment_time\": \"14:30:00\",\n  \"appointment_duration_minutes\": 45\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [
  "integration_id": "int-987654321",
  "applicant_id": "app-123456789",
  "employee_id": "emp-456789123",
  "appointment_date": "2024-07-20",
  "appointment_time": "14:30:00",
  "appointment_duration_minutes": 45
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.propexo.com/v1/events/appointments/applicants/realpage_rpx/")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```